org.apache.commons.io.function

## Interface IOIntConsumer

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IOIntConsumer

  Like `IntConsumer` but throws `IOException`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IOIntConsumer` | `NOOP` The constant no-op consumer.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(int value)` Performs this operation on the given argument.
    `default IOIntConsumer` | `andThen(IOIntConsumer after)` Returns a composed `IOIntConsumer` that performs, in sequence, this operation followed by the `after` operation.
    `default java.util.function.Consumer<Integer>` | `asConsumer()` Creates a `Consumer` for this instance that throws `UncheckedIOException` instead of `IOException`.
    `default java.util.function.IntConsumer` | `asIntConsumer()` Creates an `IntConsumer` for this instance that throws `UncheckedIOException` instead of `IOException`.

- - ### Field Detail

    - #### NOOP

          static final IOIntConsumer NOOP

      The constant no-op consumer.

  - ### Method Detail

    - #### accept

          void accept(int value)
               throws IOException

      Performs this operation on the given argument.
      Parameters:
        `value` - the input argument
      Throws:
        `IOException` - if an I/O error occurs.

    - #### andThen

          default IOIntConsumer andThen(IOIntConsumer after)

      Returns a composed `IOIntConsumer` that performs, in sequence, this operation followed by the `after` operation. If performing either operation throws an exception, it is relayed to the caller of the composed operation. If performing this operation throws an exception, the `after` operation will not be performed.
      Parameters:
        `after` - the operation to perform after this operation
      Returns:
        a composed `IOIntConsumer` that performs in sequence this operation followed by the `after` operation
      Throws:
        `NullPointerException` - if `after` is null

    - #### asConsumer

          default java.util.function.Consumer<Integer> asConsumer()

      Creates a `Consumer` for this instance that throws `UncheckedIOException` instead of `IOException`.
      Returns:
        an UncheckedIOException IntConsumer.

    - #### asIntConsumer

          default java.util.function.IntConsumer asIntConsumer()

      Creates an `IntConsumer` for this instance that throws `UncheckedIOException` instead of `IOException`.
      Returns:
        an UncheckedIOException IntConsumer.